package main;

import ea.Knoten;
import main.entities.Entity;
import main.entities.Player;
import main.entities.Snake;
import main.entities.Spider;
import main.maps.Map;
import main.maps.TestMap;

/**
 * Hier werden alle Maps gespeichert.
 */
public class World extends Knoten {

	public static final int SCALE_FACTOR = 4; // Der Basis Zoomfaktor
	public static final int SCALE = SCALE_FACTOR * Tile.getSize(); // Eine Gameunit ist so viele pixel lang

	private Map currentMap; // Die Map die aktuell angezeigt werden soll.

	public World() {

		// Map initialisieren
		currentMap = new Corridor();
		// Map zu EA hinzufügen
		add(currentMap);

		

		// Alle Entities als ticker registrieren (triggert dann die update methoden)
		for (Entity e : currentMap.getEntities()) {
			Main.instance.manager.anmelden(e, 20);
		}
	}

	public Map getCurrentMap() {
		return currentMap;
	}
}
